#!/bin/bash

#
# verbScriptCompletion.sh
#
#   memorizza nel file di output per la modalita' verbose, se attiva,
#   il completamento dello script
#

# 
# Parametri
#
# <verbose>
#   I valori ammessi per il parametro sono 0 o 1
#   Se 1 attiva la modalita' verbose di esecuzione dello script
# <callingScript>
#   nome dello script chiamante
# <verbOutputFileRelativePath>
#   path relativo alla directory g4cParallelSimulation del file
#   di output per la modalita' verbose
#

# Estrae i parametri dello script dalla sua chiamata
verbose=$1
callingScript=$2
verbOutputFileRelativePath=$3

# Esce se la modalita' verbose non e' attiva
if test $verbose -eq 0
then
   exit 0
fi

# Memorizza nel file di output per la modalita "verbose"
# il completamento dello script
cat << EOF >> $verbOutputFileRelativePath
$callingScript:
--------------- Ends --------------

EOF

exit 0

